call spQuery_Lista_Conductor(1,'%','%');

DROP PROCEDURE IF EXISTS spQuery_Lista_Conductor;
CREATE PROCEDURE spQuery_Lista_Conductor(	
	varCodigo varchar(19),
  varNombre varchar(80),
  varBreve  varchar(20)
)
BEGIN 
 if varCodigo = '' or varCodigo IS NULL then
   	select id_conductor, nombre, brevete, monto
    from _sv_conductor 
    where _estado = 'A' and estado = 'A'
    and ifnull(nombre,'') like concat('%', varNombre, '%')
    and ifnull(brevete,'') like concat('%', varBreve, '%');
 else
    select id_conductor, nombre, brevete, monto
    from _sv_conductor  
    where _estado = 'A' and estado = 'A'
    and id_conductor = varCodigo;
 end if;  
END;